// SPDX-License-Identifier: MPL-2.0
#ifndef BP_LIB_LAYOUT_H
#define BP_LIB_LAYOUT_H
#include <Uefi.h>
typedef struct {
  CHAR16 char_source;
  CHAR16 char_dest;
} bp_layout_CHAR_CONV;
typedef struct {
  UINTN conv_count;
  bp_layout_CHAR_CONV conv_table[];
} bp_layout_CONV_TABLE;
CHAR16 **bp_layout_get_layout_list();
UINTN bp_layout_get_layout_count();
CHAR16 bp_layout_convert_char(CHAR16 source,UINTN layout_index);
#endif
